id: wordpress-hostinger

info:
  name: Hostinger Tools Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/hostinger/
  metadata:
    plugin_namespace: hostinger
    wpscan: https://wpscan.com/plugin/hostinger
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/hostinger/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/hostinger.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 490a00463044022068be74fb82061152b6507fced8b172236161adb0a9f6702eee8524bc6995df2d0220711d5f25bbd069e3c4f70f76b36402b291b2df6dd4b02f2b7919d456d283bc1c:922c64590222798bb761d5b6d8e72950